Page MenuHomePhabricator

SpellingDictionary: Message 'uls-select-language' required by 'ext.SpellingDictionary.viewByLanguage' must exist
Closed, ResolvedPublic

Description

UniversalLanguageSelector has been updated and no more has a 'uls-select-language' message. Hence the tests for SpellingDictionary fail with:

ResourcesTest::testMissingMessages
Message 'uls-select-language' required by 'ext.SpellingDictionary.viewByLanguage' must exist
Failed asserting that false is true.

src/tests/phpunit/structure/ResourcesTest.php:102
src/tests/phpunit/MediaWikiTestCase.php:399
src/maintenance/doMaintenance.php:111

Details

Related Gerrit Patches:
mediawiki/extensions/SpellingDictionary : masterDrop uls-select-language message
mediawiki/extensions/SpellingDictionary : masterRemove uls-select-language message from being dependant on

Event Timeline

hashar created this task.Nov 29 2016, 1:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2016, 1:01 PM

Message re-use in different context is bad, mkay?

Change 332493 had a related patch set uploaded (by Hashar):
Remove uls-select-language message from being dependant on

https://gerrit.wikimedia.org/r/332493

hashar added a subscriber: TTO.Jan 17 2017, 9:32 PM
hashar triaged this task as Low priority.Jun 16 2017, 10:59 AM

Change 332493 abandoned by Paladox:
Remove uls-select-language message from being dependant on

https://gerrit.wikimedia.org/r/332493

Change 437749 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/SpellingDictionary@master] Drop uls-select-language message

https://gerrit.wikimedia.org/r/437749

hashar closed this task as Resolved.Jun 13 2018, 11:17 AM
hashar claimed this task.

Change 437749 merged by jenkins-bot:
[mediawiki/extensions/SpellingDictionary@master] Drop uls-select-language message

https://gerrit.wikimedia.org/r/437749